apiVersion: v1
kind: Pod
metadata:
  name: env-config-pod
spec:
  restartPolicy: Never
  containers:
  - name: env-config-container
    image: busybox
    command: [ "/bin/sh", "-c", "while [ true ] ; do env; printf \"\n\"; sleep 1 ; done;" ]
    env:

    - name: DB_HOST
      valueFrom:
        configMapKeyRef:
          name: env-configmap
          key: dbHost

    - name: APP_VERSION
      valueFrom:
        configMapKeyRef:
          name: env-configmap
          key: appVersion